tbb::interface7::internal::delegated_function< F, R > Class Template Reference

`#include <task_arena.h>`

Inheritance diagram for tbb::interface7::internal::delegated_function< F, R >:
Collaboration diagram for tbb::interface7::internal::delegated_function< F, R >:

## Public Member Functions

| delegated_function (F &f)
R | consume_result () const
| ~delegated_function ()
Public Member Functions inherited from tbb::interface7::internal::delegate_base
virtual | ~delegate_base ()

## Private Member Functions

void | operator() () const __TBB_override

## Private Attributes

F & | my_func
tbb::aligned_space< R > | my_return_storage

## Detailed Description

### template<typename F, typename R>
class tbb::interface7::internal::delegated_function< F, R >

Definition at line 74 of file task_arena.h.

## Constructor & Destructor Documentation

## delegated_function()

template<typename F , typename R >

tbb::interface7::internal::delegated_function< F, R >::delegated_function | ( | F & | f | ) |

inline

Definition at line 82 of file task_arena.h.

: my_func(f) {}
tbb::interface7::internal::delegated_function::my_func
F & my_func
Definition: task_arena.h:75

## ~delegated_function()

template<typename F , typename R >

tbb::interface7::internal::delegated_function< F, R >::~delegated_function | ( |  | ) |

inline

Definition at line 87 of file task_arena.h.

{
my_return_storage.begin()->~R();
}
tbb::interface7::internal::delegated_function::my_return_storage
tbb::aligned_space< R > my_return_storage
Definition: task_arena.h:76

## Member Function Documentation

## consume_result()

template<typename F , typename R >

R tbb::interface7::internal::delegated_function< F, R >::consume_result | ( |  | ) | const

inline

Definition at line 84 of file task_arena.h.

{
return tbb::internal::move(*(my_return_storage.begin()));
}
tbb::move
void move(tbb_thread &t1, tbb_thread &t2)
Definition: tbb_thread.h:319

References tbb::move().

Here is the call graph for this function:

## operator()()

template<typename F , typename R >

void tbb::interface7::internal::delegated_function< F, R >::operator() | ( |  | ) | const

inline private virtual

Implements tbb::interface7::internal::delegate_base.

Definition at line 78 of file task_arena.h.

{
new (my_return_storage.begin()) R(my_func());
}

## Member Data Documentation

## my_func

template<typename F , typename R >

F& tbb::interface7::internal::delegated_function< F, R >::my_func

private

Definition at line 75 of file task_arena.h.

## my_return_storage

template<typename F , typename R >

tbb::aligned_space<R> tbb::interface7::internal::delegated_function< F, R >::my_return_storage

private

Definition at line 76 of file task_arena.h.

The documentation for this class was generated from the following file:

- task_arena.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.